Subject: Re: bug#52082: 29.0.50; Scrolling aborts "repunctuate-sentences"

From: Rudolf Adamkovič <[email-masked]>
Date: Fri, 26 Nov 2021 00:08:12 +0100

Eli Zaretskii <[email-masked]> writes:

> You should instead do it as you'd do in the middle of a query-replace:
> either type 'q' or RET to exit the replace loop and do something else,
> then reinvoke the command; or type 'C-r' to enter recursive-edit,
> where you can do whatever you want, including scrolling with mouse
> wheel, then exit recursive-edit with C-M-c to continue fixing the
> punctuation.
>
> Once again, this command invokes query-replace-regexp, so the behavior
> is that of query-replace-regexp, as documented in the manual.

Wow! That makes scrolling (with the mouse, not with the keyboard) into rocket science! I searched "(emacs) Query Replace" for "C-v" (scroll-up-command) and found nothing. Then, ignoring /status quo/ for a moment, do you think the current behavior makes sense? I ask because I struggle to find a reason for not allowing the user to scroll with the mouse specifically.

Rudy
-- 
"Logic is a science of the necessary laws of thought, without which no employment of the understanding and the reason takes place." -- Immanuel Kant, 1785

Rudolf Adamkovič <[email-masked]>
Studenohorská 25
84103 Bratislava
Slovakia

[he/him]